Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Controller Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## bea.com/loc/controller
complexType controllerType

    {http://www.w3.org/2001/XMLSchema}anyType
        {bea.com/loc/controller}controllerType

Model
  `<...>
  network, use-secure-connections, jmx-remote-port?, console-mode, adjudication-timeout?, logging, audit, work-managers, heartbeat-interval, reconnect-attempts, agents, lvm-ssh-config?, notification
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: loc-controller

Documentation

                      Definition of the root controller node.

Nested Element Summary
`networkType` | `network` Network definition for the controller.
`boolean` | `use-secure-connections` Flag to indicate if secure communication must be used.
`portsType` | `jmx-remote-port` optional JMX Remote port.
`consoleModeTypes` | `console-mode` Defines the console mode.
`positiveInteger` | `adjudication-timeout` optional Defines the adjudication timeout.
`loggingType` | `logging` Definition of the logging properties.
`auditType` | `audit` Definition of the audit properties.
`workManagersType` | `work-managers` Definition of the work managers.
`annonymous type derived from positiveInteger` | `heartbeat-interval` Determines how often the controller will poll the agent.
`positiveInteger` | `reconnect-attempts` Determines the number of times the controller will try to connect to the agent before it stops.
`agentBindingsType` | `agents` Definition of the configured agent.
`lvmSSHConfigType` | `lvm-ssh-config` optional LVM SSH config file location.
`notificationsType` | `notification` Definition of the notification properties.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Controller Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 10.3